> ## Documentation Index
> Fetch the complete documentation index at: https://wiz-myvocal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete TTS

> Delete up to 500 tts history items once by tts_id.

### Header

<ParamField header="accessKey" type="string" required>
  You can copy your api-key on [https://www.myvocal.ai/profile](https://www.myvocal.ai/profile) after you have subscribed to Pro or Business Plan.
</ParamField>

### Body

<ParamField body="ids" type="array" required>
  You can provide up to 500 Ids at a time.
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 1 if successful.
</ResponseField>

<ResponseField name="message" type="string">
  When an exception occurs, specific exception information will be provided in the message.
</ResponseField>

<ResponseField name="data" type="object">
  Includes specific data.

  <Expandable title="Toggle object">
    <ResponseField name="succeedIds" type="array">
      Ids included are deleted successfully.
    </ResponseField>

    <ResponseField name="nonExistIds" type="array">
      Ids included do not exist.
    </ResponseField>

    <ResponseField name="unMatchIds" type="array">
      Ids inclueded do not belong to this feature.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request DELETE 'https://api.myvocal.ai/sound_clone/api/v1/tts' \
  --header 'accessKey: xxx' \
  --header 'Content-Type: application/json' \
  --data '{
  	"ids":["2196","2195"] 
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200（success） theme={null}
  # success

  {
      "code": 1,
      "message": "Success",
      "data": {
          "succeedIds": [],
          "nonExistIds": [],
          "unMatchIds": [
              "219623"
          ]
      }
  }
  ```

  ```json 200（fail） theme={null}
  {
    "code": -1,
    "message": "error msg",
  }
  ```
</ResponseExample>
